# comment out when not pre-release
#define prel    rc2

%define rel     2

Name:           bibletime
Version:        3.1.1
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        Easy to use Bible study tool
License:        GPLv2+
Group:          Text tools
Url:            https://www.bibletime.info/
Source0:        https://github.com/bibletime/bibletime/releases/download/v%{version}%{?prel:_%prel}/%{name}-%{version}%{?prel:_%prel}.tar.xz

# Upstream patches (100-200)

# Mageia patches (300-400)
Patch300:       bibletime-2.11.0-mga-fix-desktop-file.patch

ExclusiveArch:  aarch64 x86_64

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6QuickWidgets)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  pkgconfig(sword) >= 1.7.0
BuildRequires:  pkgconfig(libclucene-core)
BuildRequires:  cmake
BuildRequires:  docbook-style-xsl
BuildRequires:  fop
BuildRequires:  po4a
BuildRequires:  xsltproc

Requires:       sword >= 1.7.0

%description
BibleTime is a free and easy to use bible study tool built with QT5.

BibleTime provides easy handling of digitized texts (Bibles, commentaries
and lexicons) and powerful features to work with these texts (search in
texts, write own notes, save, print etc.). Bibletime is a front-end for
the SWORD Bible Framework.

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:_%prel}

%build
%cmake_qt6

%cmake_build

%install
%cmake_install

cp README.md %{buildroot}%{_docdir}/%{name}/

%files
%license LICENSE
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/scalable/apps/info.%{name}.BibleTime.svg
%{_datadir}/applications/info.%{name}.BibleTime.desktop
%{_metainfodir}/info.%{name}.BibleTime.metainfo.xml


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 3.1.1-2.mga10
+ Revision: 2249352
- Mageia 10 Mass Rebuild

* Sun Mar 23 2025 daviddavid <daviddavid> 3.1.1-1.mga10
+ Revision: 2169059
- new version: 3.1.1
- switch to Qt6

* Thu Nov 10 2022 daviddavid <daviddavid> 0:3.0.3-1.mga9
+ Revision: 1905045
- new version: 3.0.3
- remove merged upstream patch
+ neoclust <neoclust>
- New version 3.0.2

* Tue Apr 05 2022 umeabot <umeabot> 0:3.0-5.mga9
+ Revision: 1845073
- Mageia 9 Mass Rebuild

* Wed Mar 03 2021 daviddavid <daviddavid> 0:3.0-4.mga9
+ Revision: 1697249
- rebuild for new sword 1.9.0

* Wed Dec 16 2020 umeabot <umeabot> 0:3.0-3.mga8
+ Revision: 1658152
- Rebuild for new Qt5

* Mon Aug 31 2020 daviddavid <daviddavid> 0:3.0-2.mga8
+ Revision: 1620371
- fix bug #260 Move DisplayView.qml to share/bibletime/qml

* Mon Aug 31 2020 daviddavid <daviddavid> 0:3.0-1.mga8
+ Revision: 1620370
- new version: 3.0
- adjust BRs and files list

* Sat Feb 15 2020 umeabot <umeabot> 0:2.11.2-4.mga8
+ Revision: 1524411
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 0:2.11.2-3.mga7
+ Revision: 1381305
- Qt5 Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0:2.11.2-2.mga7
+ Revision: 1295416
- Mageia 7 Mass Rebuild

* Tue Jun 19 2018 daviddavid <daviddavid> 0:2.11.2-1.mga7
+ Revision: 1237977
- new version: 2.11.2

* Sat Jan 20 2018 daviddavid <daviddavid> 0:2.11.1-2.mga7
+ Revision: 1195045
- rebuild for new sword 1.8.1

* Sun Dec 31 2017 daviddavid <daviddavid> 0:2.11.1-1.mga7
+ Revision: 1188289
- new version: 2.11.1

* Wed Nov 22 2017 tv <tv> 0:2.11.0-2.mga7
+ Revision: 1178838
- rebuild for new libsword

* Tue Jan 10 2017 daviddavid <daviddavid> 0:2.11.0-1.mga6
+ Revision: 1080891
- new version: 2.11.0 (final release)

* Wed Sep 21 2016 daviddavid <daviddavid> 0:2.11-0.rc2.2.mga6
+ Revision: 1054917
- do not build on armv5tl because of missing qtwebengine5

* Wed Sep 21 2016 daviddavid <daviddavid> 0:2.11-0.rc2.1.mga6
+ Revision: 1054870
- new version: 2.11_RC2
- port to Qt5
- update Source URL
- update files list

* Sat Feb 13 2016 umeabot <umeabot> 0:2.10.1-5.mga6
+ Revision: 959589
- Mageia 6 Mass Rebuild

* Thu Sep 03 2015 cjw <cjw> 0:2.10.1-4.mga6
+ Revision: 872435
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 0:2.10.1-3.mga5
+ Revision: 739130
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:2.10.1-2.mga5
+ Revision: 678147
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 lmenut <lmenut> 0:2.10.1-1.mga5
+ Revision: 674342
- update to 2.10.1
+ fwang <fwang>
- 2.10.0

* Sat Oct 19 2013 umeabot <umeabot> 0:2.9.1-5.mga4
+ Revision: 529334
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 0:2.9.1-4.mga4
+ Revision: 451662
- rebuild for new boost

* Thu May 02 2013 lmenut <lmenut> 0:2.9.1-3.mga3
+ Revision: 411967
- add upstream patch to fix bibletime doesn't display text
  when using qtwebkit-2.3 (mga #9947, rhbz #952390)

* Fri Jan 11 2013 umeabot <umeabot> 0:2.9.1-2.mga3
+ Revision: 346899
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 doktor5000 <doktor5000> 0:2.9.1-1.mga2
+ Revision: 219235
- new version 2.9.1
- add proper desktop file categories

* Sun Dec 18 2011 fwang <fwang> 0:2.8.4-2.mga2
+ Revision: 183681
- build release, otherwise it fails with all warnings
- br qtwebkit

* Mon Nov 28 2011 doktor5000 <doktor5000> 0:2.8.4-1.mga2
+ Revision: 173852
- new version 2.8.4
  o fixes book names language default setting
- dropped clucene2.patch, fixed upstream

* Thu Nov 03 2011 mikala <mikala> 0:2.8.2-3.mga2
+ Revision: 161949
- Add patch0 to fix build against clucene 2.x
+ dmorgan <dmorgan>
- Rebuild against new clucene
+ doktor5000 <doktor5000>
- bump release

* Wed Sep 28 2011 doktor5000 <doktor5000> 0:2.8.2-1.mga2
+ Revision: 149909
- new version 2.8.2
- removed versioned BuildRequires
- removed Obsoletes
- removed obsolete %%defattrs, %%clean, %%update_menus and BuildRoot
- imported package bibletime


* Sun Jan 30 2011 Funda Wang <fwang@mandriva.org> 0:2.8.1-1mdv2011.0
+ Revision: 634031
- New version 2.8.1

* Tue Sep 07 2010 Funda Wang <fwang@mandriva.org> 0:2.7.3-1mdv2011.0
+ Revision: 576430
- new version 2.7.3
- update BR

* Thu Feb 25 2010 Funda Wang <fwang@mandriva.org> 0:2.6-1mdv2010.1
+ Revision: 510993
- new version 2.6

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 0:2.5-1mdv2010.1
+ Revision: 485178
- update to new version 2.5

* Fri Nov 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0:2.4-1mdv2010.1
+ Revision: 467660
- update to new version 2.4

* Mon Nov 16 2009 Frederik Himpe <fhimpe@mandriva.org> 0:2.3.3-1mdv2010.1
+ Revision: 466683
- Update to new version 2.3.3
- Fix summary and description (thanks Eeli Kaikkonen)

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 0:2.3-1mdv2010.1
+ Revision: 462325
- update to new version 2.3

* Sun Aug 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0:2.2-1mdv2010.0
+ Revision: 422454
- update to new version 2.2

* Sat Jul 04 2009 Frederik Himpe <fhimpe@mandriva.org> 0:2.0.1-1mdv2010.0
+ Revision: 392361
- update to new version 2.0.1

* Sat Jun 06 2009 Frederik Himpe <fhimpe@mandriva.org> 0:2.0-1mdv2010.0
+ Revision: 383194
- update to new version 2.0

* Thu Mar 26 2009 Buchan Milne <bgmilne@mandriva.org> 0:1.7-1mdv2009.1
+ Revision: 361324
- Final 1.7

* Tue Jan 20 2009 Funda Wang <fwang@mandriva.org> 0:1.7-0.beta3.1mdv2009.1
+ Revision: 331799
- fix typo
- 1.7 beta 3

* Tue Jun 17 2008 Funda Wang <fwang@mandriva.org> 0:1.6.5.1-1mdv2009.0
+ Revision: 222293
- New version 1.6.5.1
- move to /opt

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Funda Wang <fwang@mandriva.org> 0:1.6.5-3mdv2008.1
+ Revision: 171454
- rebuild to obsoletes bibletime-i18n again :(

* Mon Jan 07 2008 Funda Wang <fwang@mandriva.org> 0:1.6.5-2mdv2008.1
+ Revision: 146264
- rebuild to obsoletes bibletime-i18n again

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix spacing in description

* Sat Dec 08 2007 Funda Wang <fwang@mandriva.org> 0:1.6.5-1mdv2008.1
+ Revision: 116510
- disable parallel build
- Obsoletes old i18n packages
- New version 1.6.5
- Merge bibletime-i18n package

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Apr 30 2007 David Walluck <walluck@mandriva.org> 0:1.6.4-1mdv2008.0
+ Revision: 19687
- fix rpm eval and build
- cleanup
- 1.6.4


* Tue Mar 13 2007 David Walluck <walluck@mandriva.org> 1.6.3-3mdv2007.1
+ Revision: 143265
- fix source directory
- 1.6.3b

* Wed Feb 07 2007 David Walluck <walluck@mandriva.org> 0:1.6.3-1mdv2007.1
+ Revision: 116958
- 1.6.3

* Mon Feb 05 2007 Buchan Milne <bgmilne@mandriva.org> 0:1.6.2-3mdv2007.1
+ Revision: 116479
- Work around build system issues on x86_64
- Buildrequire clucene-devel

  + David Walluck <walluck@mandriva.org>
    - rebuild
    - 1.6.2
    - Import bibletime

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild against new curl

* Thu Sep 07 2006 Buchan Milne <bgmilne@mandriva.org> 1.5.3-3mdv2007.0
- Rebuild
- xdg menu

* Fri Jan 20 2006 Buchan Milne <bgmilne@mandriva.org> 1.5.3-2mdk
- spec cleanup, fixes build on x86_64

* Wed Dec 21 2005 Buchan Milne <bgmilne@mandriva.org> 1.5.3-1mdk
- New release 1.5.3

* Wed Sep 14 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.1-1mdk
- New release 1.5.1

* Wed Sep 14 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.1-1mdk
- New release 1.5.1

* Fri Sep 09 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.4.1-4mdk
- Fix BuildRequires
- mkrel

* Thu Aug 26 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.4.1-3mdk
- rebuild for sword4
- put menu in More applications/Editors for now
- make it short-circuit-able

* Sat Jul 17 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.4.1-2mdk
- rebuild for gcc-3.4, minor spec cleanups

